Subject: bug#32536: displayed width of man pages

From: Juri Linkov <[email-masked]>
Date: Wed, 05 Sep 2018 00:27:43 +0300

>>> I can't follow you here.  Shouldn't we remove the hook _when_ a Man
>>> buffer is not displayed anymore.  That is, when
>>> 'Man-window-size-change' detects that no Man buffer is displayed
>>> anymore, remove it from 'window-size-change-functions' and re-add it
>>> as soon as a Man buffer gets displayed again.
>>
>> How to know the moment when a Man buffer gets displayed again?
>> Is there a corresponding hook for this event?
>
> 'window-configuration-change-hook' I presume.  Though this raises the
> question how to remove anything from there when finishing browsing.

Using window-configuration-change-hook is a hugely cumbersome workaround
for deficiencies in window-size-change-functions.

I reported this in bug#32637, please see there.